package com.jscape.inet.protocol;

import com.jscape.inet.util.connection.Connection;
import com.jscape.util.event.EventContext;

/**
 * @author Alex Usun
 */
public interface Session
        extends EventContext,
                CloseSessionsEvent.Handler {

    Connection getConnection();

    void setConnection(Connection connection);

    void close();

    boolean isClosed();

}
